Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.progress
Class ProgressEvent

    java.lang.Object
      org.mozilla.jrex.event.progress.ProgressEvent

public class ProgressEvent
extends Object

A class representing JRex Progress Event.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`ProgressEvent(int jrexPeer, int eventType, boolean isLoadingDoc, String reqName, int reqStatus, boolean isReqPending, Object eventParam)` ProgressEvent constructor

Method Summary
`int` | `getEventType()` Returns the Progress event type.
`Object` | `getEventTypeParam()` Returns the progress event param.
`int` | `getJRexPeer()` Returns the target browser component to which the URIContent event belongs.
`String` | `getRequestName()` Returns the request URI.
`int` | `getRequestStatus()` Returns the status of request.
`boolean` | `isLoadingDocument()` Returns `true` if document is loading.
`boolean` | `isRequestPending()` Returns `true` if request is pending.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProgressEvent

    public ProgressEvent(int jrexPeer,
                         int eventType,
                         boolean isLoadingDoc,
                         String reqName,
                         int reqStatus,
                         boolean isReqPending,
                         Object eventParam)

  ProgressEvent constructor

Parameters:
  `jrexPeer` - target browser component to which the event belongs
  `eventType` - type of Progress event
  `isLoadingDoc` - `true` if document is loading.
  `reqName` - request URI.
  `reqStatus` - status of request.
  `isReqPending` - `true` if request is pending.
  `eventParam` - data associated to the Progress event
See Also:
  `ProgressEventConstants`

Method Detail

### getJRexPeer

    public int getJRexPeer()

  Returns the target browser component to which the URIContent event belongs.

### getEventType

    public int getEventType()

  Returns the Progress event type.

### isLoadingDocument

    public boolean isLoadingDocument()

  Returns `true` if document is loading.

### getRequestName

    public String getRequestName()

  Returns the request URI.

### getRequestStatus

    public int getRequestStatus()

  Returns the status of request.

### isRequestPending

    public boolean isRequestPending()

  Returns `true` if request is pending.

### getEventTypeParam

    public Object getEventTypeParam()

  Returns the progress event param.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.